Skip to main content
POST
Create video generation task

Ủy quyền

Authorization
string
header
bắt buộc

Authenticate with a Bearer Token. Format: Authorization: Bearer sk-xxxxxx

Nội dung

application/json

Video generation request

model
string

Model/style ID

Ví dụ:

"kling-v1"

prompt
string

Text prompt

Ví dụ:

"An astronaut stands up and walks away"

image
string

Image input (URL or Base64)

Ví dụ:

"https://example.com/image.jpg"

duration
number

Video duration in seconds

Ví dụ:

5

width
integer

Video width

Ví dụ:

1280

height
integer

Video height

Ví dụ:

720

fps
integer

Video frame rate

Ví dụ:

30

seed
integer

Random seed

Ví dụ:

20231234

n
integer

Number of videos to generate

Ví dụ:

1

response_format
string

Response format

Ví dụ:

"url"

user
string

User identifier

Ví dụ:

"user-1234"

metadata
object

Extended parameters, such as negative_prompt, style, quality_level, and others

Phản hồi

Video generation task created successfully

Video generation task submission response

task_id
string

Task ID

Ví dụ:

"abcd1234efgh"

status
string

Task status

Ví dụ:

"queued"